if(ForceRequiredAddOn("Weapon_Package_Tier1") == $Error::AddOn_NotFound)
{
   error("ERROR: Weapon_Frogs_Weaponry - required add-on Weapon_Package_Tier1 not found");
   return;
}
else if(ForceRequiredAddOn("Weapon_Package_Explosive1") == $Error::AddOn_NotFound)
{
   error("ERROR: Weapon_Frogs_Weaponry - required add-on Weapon_Package_Explosive1 not found");
   return;
}

if($RTB::Hooks::ServerControl)
{
   RTB_registerPref("Starting 21 Gauge Ammo","Frog's Weaponry | Starting Ammo","$Pref::Server::TT::Start21Gauge","int 0 72","Weapon_Frogs_Weaponry",6*6,0,1);
   RTB_registerPref("Starting .45 Caliber Ammo","Frog's Weaponry | Starting Ammo","$Pref::Server::TT::Start45Caliber","int 0 192","Weapon_Frogs_Weaponry",8*6,0,1);
   RTB_registerPref("Starting Slug Ammo","Frog's Weaponry | Starting Ammo","$Pref::Server::TT::StartSlugs","int 0 30","Weapon_Frogs_Weaponry",6*3,0,1);
   RTB_registerPref("Starting Blast Round Ammo","Frog's Weaponry | Starting Ammo","$Pref::Server::TT::StartBlastRounds","int 0 32","Weapon_Frogs_Weaponry",8*2,0,1);
   RTB_registerPref("Starting Payload Ammo","Frog's Weaponry | Starting Ammo","$Pref::Server::TT::StartPayload","int 0 1","Weapon_Frogs_Weaponry",1*1,0,1);
   RTB_registerPref("Starting Strike Rocket Ammo","Frog's Weaponry | Starting Ammo","$Pref::Server::TT::StartStrikeRocket","int 0 6","Weapon_Frogs_Weaponry",1*6,0,1);
   RTB_registerPref("Starting .50 Caliber Ammo","Frog's Weaponry | Starting Ammo","$Pref::Server::TT::Start50Cal","int 0 200","Weapon_Frogs_Weaponry",200*1,0,1);
   RTB_registerPref("Starting Impact Grenades","Frog's Weaponry | Starting Ammo","$Pref::Server::TT::StartImpactGrenade","int 0 12","Weapon_Frogs_Weaponry",4,0,1);
   RTB_registerPref("Starting Smoke Grenades","Frog's Weaponry | Starting Ammo","$Pref::Server::TT::StartSmokeGrenade","int 0 12","Weapon_Frogs_Weaponry",4,0,1);

   RTB_registerPref("Max 21 Gauge Ammo","Frog's Weaponry | Maximum Ammo","$Pref::Server::TT::Max21Gauge","int 1 144","Weapon_Frogs_Weaponry",72,0,1);
   RTB_registerPref("Max .45 Caliber Ammo","Frog's Weaponry | Maximum Ammo","$Pref::Server::TT::Max45Caliber","int 1 384","Weapon_Frogs_Weaponry",192,0,1);
   RTB_registerPref("Max Slug Ammo","Frog's Weaponry | Maximum Ammo","$Pref::Server::TT::MaxSlugs","int 1 60","Weapon_Frogs_Weaponry",30,0,1);
   RTB_registerPref("Max Blast Round Ammo","Frog's Weaponry | Maximum Ammo","$Pref::Server::TT::MaxBlastRounds","int 1 64","Weapon_Frogs_Weaponry",32,0,1);
   RTB_registerPref("Max Payload Ammo","Frog's Weaponry | Maximum Ammo","$Pref::Server::TT::MaxPayload","int 1 2","Weapon_Frogs_Weaponry",1,0,1);
   RTB_registerPref("Max Strike Rocket Ammo","Frog's Weaponry | Maximum Ammo","$Pref::Server::TT::MaxStrikeRocket","int 1 12","Weapon_Frogs_Weaponry",6,0,1);
   RTB_registerPref("Max .50 Caliber Ammo","Frog's Weaponry | Maximum Ammo","$Pref::Server::TT::Max50Cal","int 1 400","Weapon_Frogs_Weaponry",200,0,1);
   RTB_registerPref("Max Impact Grenades","Frog's Weaponry | Maximum Ammo","$Pref::Server::TT::MaxImpactGrenade","int 1 24","Weapon_Frogs_Weaponry",12,0,1);
   RTB_registerPref("Max Smoke Grenades","Frog's Weaponry | Maximum Ammo","$Pref::Server::TT::MaxSmokeGrenade","int 1 24","Weapon_Frogs_Weaponry",12,0,1);

   RTB_registerPref("Vulcan Is Deployable","Frog's Weaponry | Miscellaneous","$Pref::Server::FW::VulcanDeploy","bool","Weapon_Frogs_Weaponry",1,0,1);
   RTB_registerPref("Vulcan Slows On Spin Up","Frog's Weaponry | Miscellaneous","$Pref::Server::FW::VulcanSlow","bool","Weapon_Frogs_Weaponry",1,0,1);
   RTB_registerPref("Payload Launcher Slows","Frog's Weaponry | Miscellaneous","$Pref::Server::FW::PayloadSlow","bool","Weapon_Frogs_Weaponry",1,0,1);
}
else
{
   TT_defaultIfUnset("Start21Gauge", 36);
   TT_defaultIfUnset("Start45Caliber", 48);
   TT_defaultIfUnset("StartImpactGrenade", 8);
   TT_defaultIfUnset("StartSmokeGrenade", 4);
   TT_defaultIfUnset("StartSlugs", 30);
   TT_defaultIfUnset("StartBlastRounds", 32);
   TT_defaultIfUnset("StartPayload", 1);
   TT_defaultIfUnset("StartStrikeRocket", 6);
   TT_defaultIfUnset("Start50Cal", 200);
   TT_defaultIfUnset("Max21Gauge", 72);
   TT_defaultIfUnset("Max45Caliber", 192);
   TT_defaultIfUnset("MaxImpactGrenade", 12);
   TT_defaultIfUnset("MaxSmokeGrenade", 12);
   TT_defaultIfUnset("MaxSlugs", 30);
   TT_defaultIfUnset("MaxBlastRounds", 32);
   TT_defaultIfUnset("MaxPayload", 1);
   TT_defaultIfUnset("MaxStrikeRocket", 6);
   TT_defaultIfUnset("Max50Cal", 200);
   TT_defaultIfUnset("VulcanDeploy", 1, "FW");
   TT_defaultIfUnset("VulcanSlow", 1, "FW");
   TT_defaultIfUnset("PayloadSlow", 1, "FW");
}

datablock PlayerData(DeployedArmor : PlayerStandardArmor)
{
   runForce = 10000; //Huge number to prevent the player from sliding across the terrain like ice.
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 0;
   maxBackwardSpeed = 0;
   maxSideSpeed = 0;

   maxForwardCrouchSpeed = 0;
   maxBackwardCrouchSpeed = 0;
   maxSideCrouchSpeed = 0;

   jumpForce = 8.3 * 1000; //8.3 * 90;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0;

   minJetEnergy = 0;
   jetEnergyDrain = 0;
   canJet = 0;

   uiName = "";
   showEnergyBar = false;

   runSurfaceAngle  = 55;
   jumpSurfaceAngle = 55;
};

datablock PlayerData(SlowedArmor : PlayerStandardArmor)
{
   runForce = 25 * 180;
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 3;
   maxBackwardSpeed = 2;
   maxSideSpeed = 2.75;

   maxForwardCrouchSpeed = 1;
   maxBackwardCrouchSpeed = 0.25;
   maxSideCrouchSpeed = 1;

   jumpForce = 8.3 * 90; //8.3 * 90;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;

   minJetEnergy = 0;
   jetEnergyDrain = 0;
   canJet = 0;

   uiName = "";
   showEnergyBar = false;

   runSurfaceAngle  = 55;
   jumpSurfaceAngle = 55;
};

 datablock AudioProfile(BreakshotgunFireSound)
{
   filename    = "./BreakshotgunFire.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(CombatMGFireSound)
{
   filename    = "./CombatMGFire.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(CombatRifleFireSound)
{
   filename    = "./CombatRifle_Shot.wav";
   description = AudioClose3d;
   preload = true;
};

   datablock AudioProfile(FWAmmogetSound)
{
   filename    = "./FWAmmoget.wav";
   description = AudioClose3d;
   preload = true;
};

  datablock AudioProfile(FWReload1Sound)
{
   filename    = "./FWReload1.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(FWReload2Sound)
{
   filename    = "./FWReload2.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(HawkeyeSniperfireSound)
{
   filename    = "./HawkeyeFire.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(HeavySMGFireSound)
{
   filename    = "./HeavySMGFire.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(ImpactGrenadeExplosionSound)
{
   filename    = "./ImpactGrenadeExplode.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(ImpactLauncherFireSound)
{
   filename    = "./ImpactLauncherFireSound.wav";
   description = AudioClose3d;
   preload = true;
};

  datablock AudioProfile(PayloadLauncherExplodeSound)
{
   filename    = "./PayloadLauncherExplode.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(PayloadLauncherfireSound)
{
   filename    = "./PayloadLauncherFire.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(PayloadLauncherLoopSound)
{
   filename    = "./PayloadLauncherLoop.wav";
   description = AudiodefaultLooping3d;
   preload = true;
};

 datablock AudioProfile(PGFireSound)
{
   filename    = "./PGShot.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(PistolPullBackSound)
{
   filename    = "./Pistol_Pull_Back.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(ballisticShotgunfireSound)
{
   filename    = "./ballisticShotgunfire.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(ballisticShotgunReloadSound)
{
   filename    = "./ballisticShotgunpump.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(SmokeGrenadeSound)
{
   filename    = "./SmokeGrenadeExplode.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(StrikeLauncherExplosionSound)
{
   filename    = "./StrikeLauncherExplosion.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(StrikeLauncherFireSound)
{
   filename    = "./StrikeLauncherFire.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(StrikeLauncherRocketLoopSound)
{
   filename    = "./StrikeLauncherRocketLoop.wav";
   description = AudiodefaultLooping3d;
   preload = true;
};

 datablock AudioProfile(VulcanFireSound)
{
   filename    = "./VulcanFire.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(VulcanSpinSound)
{
   filename    = "./VulcanSpin.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(VulcanWindDownSound)
{
   filename    = "./VulcanWinddown.wav";
   description = AudioClose3d;
   preload = true;
};

 datablock AudioProfile(VulcanWindupSound)
{
   filename    = "./VulcanWindup.wav";
   description = AudioClose3d;
   preload = true;
};

datablock DebrisData(BigShellDebris)
{
   shapeFile = "./BigShell.dts";
   lifetime = 2.0;
   minSpinSpeed = -400.0;
   maxSpinSpeed = 200.0;
   elasticity = 0.5;
   friction = 0.2;
   numBounces = 3;
   staticOnMaxBounce = true;
   snapOnMaxBounce = false;
   fade = true;

   gravModifier = 2;
};

exec("./Support_AltDatablock.cs");
exec("./Support_ImageAltTrigger.cs");
exec("./Weapon_CombatRifle.cs");
exec("./Weapon_CombatMG.cs");
exec("./Weapon_Vulcan.cs");
exec("./Weapon_HeavyPistol.cs");
exec("./Weapon_PopGun.cs");
exec("./Weapon_APG.cs");
exec("./Weapon_StrikeLauncher.cs");
exec("./Weapon_PayloadLauncher.cs");
exec("./Weapon_ImpactGrenade.cs");
exec("./Weapon_ImpactLauncher.cs");
exec("./Weapon_AutomaticShotgun.cs");
exec("./Weapon_Hawkeye.cs");
exec("./Weapon_ballisticShotgun.cs");
exec("./Weapon_HeavySMG.cs");
exec("./Weapon_BlastRifle.cs");
exec("./Weapon_SmokeGrenade.cs");
exec("./Item_FWAmmo.cs");
exec("./Weapon_BreakShotgun.cs");

TT_registerAmmoSet("fw", "Frog's Weaponry", true);
TT_registerAmmoSet("fw_pile", "Ammo Pile B", false);
TT_registerAmmoSet("fw_cache", "Heavy Cache", false);
// ammo types
// 21Gauge: Pop-Gun, APG
// 45Caliber: Heavy Pistol, Heavy SMG
// ImpactGrenade: Impact Launcher
// Slugs: Ballistic Shotgun
// BlastRounds: Blast Rifle
// Payload: Payload Launcher
// StrikeRocket: Strike Launcher
// 50Cal: Vulcan
TT_registerAmmoType("21Gauge", "21 Gauge", "21 Gauge Shells", true, "fw", "weps", "fw_pile");
TT_registerAmmoType("45Caliber", ".45 Caliber", ".45 Caliber", true, "fw", "weps", "fw_pile");
TT_registerAmmoType("ImpactGrenade", "Impact Grenade", "Impact Grenades", true, "fw", "weps", "nades", "fw_pile");
TT_registerAmmoType("SmokeGrenade", "Smoke Grenade", "Smoke Grenades", true, "fw", "nades", "fw_pile");
TT_registerAmmoType("Slugs", "Slug", "Slug Shells", true, "fw", "weps", "fw_pile");
TT_registerAmmoType("BlastRounds", "Blast Round", "Blast Rounds", true, "fw", "weps", "fw_pile");
TT_registerAmmoType("Payload", "Payload", "Payloads", false, "fw", "weps", "fw_cache");
TT_registerAmmoType("StrikeRocket", "Strike Rocket", "Strike Rockets", false, "fw", "weps", "fw_cache");
TT_registerAmmoType("50Cal", ".50 Caliber", ".50 Caliber", false, "fw", "weps", "fw_cache");
